ValueAggregatorJobBase (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.lib.aggregate, class: ValueAggregatorJobBase

Package org.apache.hadoop.mapreduce.lib.aggregate

# Class ValueAggregatorJobBase<K1 extends WritableComparable<?>,V1 extends Writable>

java.lang.Object
org.apache.hadoop.mapreduce.lib.aggregate.ValueAggregatorJobBase<K1,V1>

@Public @Stable public class ValueAggregatorJobBase<K1 extends WritableComparable<?>,V1 extends Writable> extends Object
This abstract class implements some common functionalities of the the generic mapper, reducer and combiner classes of Aggregate.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static ArrayList<ValueAggregatorDescriptor>`
  `aggregatorDescriptorList`
  `static final String`
  `DESCRIPTOR`
  `static final String`
  `DESCRIPTOR_NUM`
  `static final String`
  `USER_JAR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValueAggregatorJobBase()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected static ArrayList<ValueAggregatorDescriptor>`
  `getAggregatorDescriptors(Configuration conf)`
  `protected static ValueAggregatorDescriptor`
  `getValueAggregatorDescriptor(String spec, Configuration conf)`
  `protected static void`
  `logSpec()`
  `static void`
  `setup(Configuration job)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DESCRIPTOR

    public static final String DESCRIPTOR
    See Also:
      - Constant Field Values

  - ### DESCRIPTOR_NUM

    public static final String DESCRIPTOR_NUM
    See Also:
      - Constant Field Values

  - ### USER_JAR

    public static final String USER_JAR
    See Also:
      - Constant Field Values

  - ### aggregatorDescriptorList

    protected static ArrayList<ValueAggregatorDescriptor> aggregatorDescriptorList

- ## Constructor Details

  - ### ValueAggregatorJobBase

    public ValueAggregatorJobBase()

- ## Method Details

  - ### setup

    public static void setup(Configuration job)

  - ### getValueAggregatorDescriptor

    protected static ValueAggregatorDescriptor getValueAggregatorDescriptor(String spec, Configuration conf)

  - ### getAggregatorDescriptors

    protected static ArrayList<ValueAggregatorDescriptor> getAggregatorDescriptors(Configuration conf)

  - ### logSpec

    protected static void logSpec()